cancel
Showing results for 
Search instead for 
Did you mean: 

ZD1100 ERR_SSL_VERSION or CIPHER MISMATCH".

john_arvin_guer
New Contributor
Hi All, Just wanted to ask if someone encounters this issue, when I connect to ZD 1100 through wired and try to open it via google chrome I cannot open it. It states there that "This site can't provide a secure connection and said error is uses unsupported protocol. ERR_SSL_VERSION or CIPHER MISMATCH". I can ping ZD 1100. I cannot open web browser like edge and IE same issue. Hopefully someone can give an advise. Thank you
8 REPLIES 8

thomas_fankhaus
Contributor II
upgrade at least to version 9.7.2.
Probably you are using Windows 10, we experienced the same Problem.
use another Computer to access your ZD to upgrade.
after the upgrade you will be able to connect.

martin_martin
Valued Contributor
Sure John, I can give you some advice in this.
Your ZD1100 as i think an older firmware version on it.

The latest versions of chrome, firefox and IE are blocking certain unsafe SSL versions.

What i normally suggest customers is to use Firefox for this as you can change the config of firefox to allow access.
check https://support.mozilla.org/en-US/que...

I do suggest urgently that you upgrade the ZD1100 to a more recent version so the latest SSL is supported.

Kind regards
Martin

This doesnt appear to work anymore: "An error occurred during a connection to 10.0.1.250. Cannot communicate securely with peer: no common encryption algorithm(s). Error code: SSL_ERROR_NO_CYPHER_OVERLAP".  This was with the max version set to 1. 

Any other suggestions please?

bogdan_prascevi
New Contributor II
I have same problem.
I use opera 12 to conect to zd1100.
All others browsers had the same error
Labels